Uploaded image for project: 'FishEye'
  1. FishEye
  2. FE-6726

FeCru Amps plugin is not compatible with AMPS 6.1 (or Java 8)

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Medium
    • Resolution: Fixed
    • None
    • N/A
    • None

    Description

      Currently when you run
      atlas-create-fecru-plugin
      Using

       atlas-version                                                                                                                                                     ✘
      
      ATLAS Version:    6.1.0
      ATLAS Home:       /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec
      ATLAS Scripts:    /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec/bin
      ATLAS Maven Home: /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec/apache-maven-3.2.1
      AMPS Version:     6.1.2
      --------
      Executing: /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec/apache-maven-3.2.1/bin/mvn --version -gs /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec/apache-maven-3.2.1/conf/settings.xml
      Apache Maven 3.2.1 (ea8b2b07643dbb1b84b6d16e1f08391b666bc1e9; 2014-02-14T18:37:52+01:00)
      Maven home: /usr/local/Cellar/atlassian-plugin-sdk/6.1.0/libexec/apache-maven-3.2.1
      Java version: 1.7.0_75, vendor: Oracle Corporation
      Java home: /Library/Java/JavaVirtualMachines/jdk1.7.0_75.jdk/Contents/Home/jre
      Default locale: en_US, platform encoding: UTF-8
      OS name: "mac os x", version: "10.11.1", arch: "x86_64", family: "mac"
      

      You'll end up with:

      [INFO] --- maven-fecru-plugin:6.1.2:create (default-cli) @ standalone-pom ---
      [ERROR] !!! Important information !!!
      [ERROR] FeCru does not support java8 yet so this command is temporarily switched off. Try using an earlier amps version or creating a default amps plugin instead: atlas-create-plugin

       

      Workaround

      1. Create standard Atlassian plugin via atlas-create-plugin 
      2. Replace maven-refapp-plugin with maven-fecru-plugin

      The valid Maven configuration is available at public FishEye&Crucible tutorials, e.g 

      https://bitbucket.org/atlassian_tutorial/crucible-workflow-condition-tutorial/src/a4d82d0784b09a4c5d506d83f8e0f2ef5dbc943e/pom.xml?at=master&fileviewer=file-view-default

       

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              glewandowski Grzegorz Lewandowski
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: